Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228588 - net-snmp-config returns a strange value for --libs
Summary: net-snmp-config returns a strange value for --libs
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: net-snmp
Version: 6
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Radek Vokal
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-13 21:32 UTC by Rob Crittenden
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: net-snmp-5.4-10.fc7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-27 15:09:04 UTC


Attachments (Terms of Use)

Description Rob Crittenden 2007-02-13 21:32:22 UTC
net-snmp config returns -L/usr/lib/lib for some of the compile and link options.

Not a show-stopper in itself but it may point to a deeper problem.

$ net-snmp-config --external-libs
-lcrypto -lm -L/usr/lib/lib -lwrap

I assume it should be -L/usr/lib and not -L/usr/lib/lib

$ net-snmp-config --agent-libs
-L/usr/lib -lnetsnmpmibs -lnetsnmpagent -lnetsnmphelpers -lnetsnmp -ldl -lz
-lcrypto -lm -lsensors -L/usr/lib/lib -lwrap -Wl,-E
-Wl,-rpath,/usr/lib/perl5/5.8.8/i386-linux-thread-multi/CORE -L/usr/local/lib
/usr/lib/perl5/5.8.8/i386-linux-thread-multi/auto/DynaLoader/DynaLoader.a
-L/usr/lib/perl5/5.8.8/i386-linux-thread-multi/CORE -lperl -lresolv -lnsl -ldl
-lm -lcrypt -lutil -lpthread -lc

Also includes -L/usr/lib/lib

Comment 1 Ville Skyttä 2007-02-14 21:06:16 UTC
--agent-libs also includes -lsensors, so net-snmp-devel should pull in
lm_sensors-devel on appropriate architectures, some more discussion in bug 228555

Comment 2 Rob Crittenden 2007-02-27 14:32:56 UTC
This isn't about lm_sensors or FDS. 

This is about a package setting a link search directory to a (likely)
non-existent location, /usr/lib/lib. While this is a seemingly minor thing it
may point to a deeper issue with the RPM.

Comment 3 Radek Vokal 2007-02-27 15:09:04 UTC
ehm, have you even checked the latest net-snmp package? I guess not. 

./net-snmp-config --external-libs
-lcrypto -lm -lcrypto -L/usr/lib -lwrap

fixed

Comment 4 Rob Crittenden 2007-02-27 15:37:46 UTC
I assume that by latest you mean the version in devel/FC7. In fact no, I didn't,
why would I? This is filed against FC6 where the bug still exists.

To be more precise, this is net-snmp-devel-5.3.1-12.fc6. This seems to be the
most recent version for FC6, at least according to
http://download.fedora.redhat.com/pub/fedora/linux/core/updates/6/i386/

And please drop the attitude. Don't discourage people from submitting bugs by
being rude.

"It is fixed in devel/FC7 and we are not backporting" is an acceptable answer.

Comment 5 Radek Vokal 2007-02-27 15:41:36 UTC
(In reply to comment #4)
>
> "It is fixed in devel/FC7 and we are not backporting" is an acceptable answer.

and that's what RAWHIDE says. 



Note You need to log in before you can comment on or make changes to this bug.